要安装和运行Flutter,您的开发环境必须满足这些最低要求:

  • 操作系统: macOS (64-bit)
  • 磁盘空间: 700 MB (不包括开发工具的磁盘空间吗).
  • 工具: 安装过程中依赖一下命令 如果没有通过homebrew安装
    • bash, mkdir, rm, git, curl, unzip, which

下载Flutter SDK (下载过程可能会被墙 请自行找梯子翻墙)

官方文档
windows安装文档请查看:https://flutter.io/setup-windows/
linux安装文档请查看:https://flutter.io/setup-linux/

  1. 解压.:
     $	cd ~/development
     $	unzip ~/Downloads/flutter_macos_xxx.zip
    
  2. 添加Flutter 全局路径 Flutter sdk 的目录可以放在一个对你而言相对合适的路径因为配置环境变量后 如果移动sdk目录可以会提示找不到命令:
     $	vim  ~/.bash_profile  ##在文件后面追加
     $	export PATH=[ sdk path ]/flutter/bin:$PATH
    
  3. 保存 .bash_profile 文件后 执行指令,让设置生效。
     $    source ~/.bash_profile
    
  4. 验证环境变量是否添加成功

     $	echo  $PATH  ##如果添加成功输出的路径会包含你的Fluuter sdk 路径
    
  5. 检查Flutter 是否安装成功
     $	flutter doctor ##执行该命令 检测你的环境 如果提示找不到命令 请检查上一步
    

iOS

(已安装xocde忽略此步)安装 Xocde 苹果商店 App Store 搜索Xcode 安装下一步下一步即可

  1. 安装开发工具依赖
     $  brew update ##   如果安装 homebrew 没有请看上面的开发环境基本要求
     $  brew install --HEAD libimobiledevice ## 设备连接工具包
     $  brew install ideviceinstaller ios-deploy cocoapods ## 自动化测试 工具   命令行调试 工具  ios 第三方包管理工具
      $ pod setup ##初始化 cocoapods
    
  2. 检查Flutter ios 环境是否安装正常
     $	flutter doctor #
    

android

(已安装Android Studio忽略此步)安装 Android Studio 安装下一步下一步即可 下载之后安装之后 根据引导 下载android sdk 在sdk 设置中可以查看sdk安装目录
启动 Android Studio>Tools>Android>AVD Manager 然后选择 Create Virtual Device 创建你的虚拟设备 如果一直真机开发可以忽略

  1. 添加android sdk 环境变量后
     $	vim  ~/.bash_profile  ##在文件后面追加
     $    export ANDROID_HOME=[ you android sdk path ]/Android/sdk
     $    export PATH=${PATH}:${ANDROID_HOME}/tools
     $    export PATH=${PATH}:${ANDROID_HOME}/platform-tools
    
  2. 保存 .bash_profile 文件后 执行指令,让设置生效。
     $    source ~/.bash_profile
    

编辑器 android studio , IDEA ,VS Code 插件安装

  • android studio
  1. 启动 android studio
  2. 打开首选项 cmd+,快捷键 (Preferences>Plugins on macOS
  3. 选择 Browse repositories…, 搜索 Flutter,Dart 两个插件 and click install.
  4. 安装完毕 Restart 重启android studio
  • IDEA
  1. 启动 IDEA
  2. 打开首选项 cmd+,快捷键 (Preferences>Plugins on macOS
  3. 选择 Browse repositories…, 搜索 Flutter,Dart 两个插件 and click install.
  4. 安装完毕 Restart 重启 IDEA
  • VS Code
  1. 启动 VS Code
  2. 调出快捷工具命令 cmd+p
  3. 输入 >Extensions: install Extensions
  4. 搜索 Flutter 点击安装 安装成功后重启VS Code

环境搭建完毕

  1. 执行 flutter doctor 检查你的环境配置 情况
     $	flutter doctor #